
abstract class AbstraktesProdukt 
{
	abstract public void ausgeben(); 
}

abstract class AbstrakterErzeuger
{
	public abstract AbstraktesProdukt fabrikmethode();
}

class KonkretesProdukt1 extends AbstraktesProdukt
{	
	public void ausgeben()
	{
		System.out.println("Produkt 1");
	}
}

class KonkretesProdukt2 extends AbstraktesProdukt
{	
	public void ausgeben()
	{
		System.out.println("Produkt 2");
	}
}

class KonkreterErzeuger1 extends AbstrakterErzeuger
{
	public AbstraktesProdukt fabrikmethode()  
	{
		return new KonkretesProdukt1();
	}
}

class KonkreterErzeuger2 extends AbstrakterErzeuger
{
	public AbstraktesProdukt fabrikmethode()  
	{
		return new KonkretesProdukt2();
	}
}

public class TestFabrik 
{
	public static void main (String args[])
	{
		AbstrakterErzeuger e1   = new KonkreterErzeuger1();
		AbstraktesProdukt prod1 = e1.fabrikmethode();
		prod1.ausgeben();

		AbstrakterErzeuger e2   = new KonkreterErzeuger2();
		AbstraktesProdukt prod2 = e2.fabrikmethode();
		prod2.ausgeben();
	}
}
