public class Schrauben
{
	public static void main(String[] args)
	{
		// ------------ Eingabe ------------ 
		// --- 1. Durchmesser
		double durchmesser = 5.5;
		
		// --- 2. Laenge
		double laenge = 23;

		// ----------------------------------------------
		// --- 1. Definition der Preisgruppen
		Preisgruppe pg[] = new Preisgruppe[5];
		pg[0] = new Preisgruppe(0, 3, 0, 20, 0.30);
		pg[1] = new Preisgruppe(3, 5, 20, 30, 0.40);
		pg[2] = new Preisgruppe(5, 6, 20, 30, 0.60);
		pg[3] = new Preisgruppe(6, 15, 30, 50, 0.80);
		pg[4] = new Preisgruppe(15, 20, 30, 50, 0.90);
		
		// --- 2. Bestimmung des aktuellen Preises  
		double preis = -1;
		for (int i = 0; i < pg.length; i++)
			if (pg[i].pruefePreis(durchmesser, laenge))
			{
				preis = pg[i].getPreis();
				break;
			}
	
		// --- 3. Ausgabe 
		if (preis >= 0)
			System.out.printf("Der Preis betrgt %1.2f Euro.", preis);
		else
			System.out.printf("Der Preis ist unbekannt.");
	}
}



