class Exp implements IFunktion
{
	public double getWert(double wert)
	{
		return Math.exp(wert);
	}
	public String toString()
	{
		return "Exponentialfunktion";
	}
}

class Sqrt implements IFunktion
{
	public double getWert(double wert)
	{
		return Math.sqrt(wert);
	}
	public String toString()
	{
		return "Wurzelfunktion";
	}
}

public class WerteTabelle
{
	public static void schreibeTabelle(IFunktion fkt)
	{
		System.out.println(fkt.toString() + ": ");
		for(double x = 0.0; x <= 5.0; x++)
			System.out.printf(" %f %f\n", x, fkt.getWert(x));
	}
 
	public static void main(String[] args)
	{
		schreibeTabelle(new Exp());
		schreibeTabelle(new Sqrt());
	}
}
	

