import java.io.*;
import java.util.Iterator;
import org.apache.poi.hssf.usermodel.*;
import org.apache.poi.ss.usermodel.Row;

public class Excel
{
	public static void main(String args[]) throws IOException 
	{
		// 1. Definition eines leeren Workbooks
		HSSFWorkbook workbook = new HSSFWorkbook(new FileInputStream("PPlan.xls"));
	
		// 2. Auwahl der Tabelle
		HSSFSheet tab = workbook.getSheet("Tabelle 1");
	
		// 3. Lesen der Inhalte 
		Iterator<Row> zeileIt = tab.iterator();
		while(zeileIt.hasNext())
		{
			Row zeile = zeileIt.next();
			for(int j=0; j<=2; j++)
			{
				String s = zeile.getCell(j).toString();
				System.out.println(s);
			}
		}
		workbook.close();
	}
}

/*
	public static void main(String args[]) throws IOException
	{
		// Definition von Beispieldaten
		int zahlen[][] = {{1,2,3}, {4,5,6}};

		// 1. Definition eines leeren Workbooks
		HSSFWorkbook workbook = new HSSFWorkbook();
		
		// 2. Erzeugung einer leeren Excel-Tabelle
		HSSFSheet tab = workbook.createSheet("Tabelle 1");
		
		// 3. Einfgen der Inhalte 
		for(int i=0; i<zahlen.length; i++)
		{
			// 3a. Erzeugung der i-ten Zeile
			Row zeile = tab.createRow(i);
			for(int j=0; j<zahlen[0].length; j++)
			{
				// 3b. Befllung der Zelle (i,j)
				zeile.createCell(j).setCellValue(zahlen[i][j]);
			}
		}
			
		// 4. Schreiben der Excel-Datei
		workbook.write(new FileOutputStream("Datei.xls"));
		workbook.close();
	}
*/
