import java.sql.*;

public class SQL_DB1
{
	public static void main( String[] args ) throws Exception
	{
	    // --- 1. Laden des Treiber der HSQLDB-Datenbank
		Class.forName("org.hsqldb.jdbcDriver");
		
		// --- 2. ffnen einer Verbindung zur Datenbank mit Namen = hsqldb-2.3.3
        Connection con = DriverManager.getConnection(
              "jdbc:hsqldb:file:hsqldb-2.3.3; shutdown=true", "sa", "" );
        
        // --- 3. Erzeugung eines Anweisungsobjekt
        Statement sm = (Statement) con.createStatement();

        //sm.executeUpdate("INSERT INTO CUSTOMER VALUES (51, 'Max', 'Mustermann', 'Musterstrasse 12', 'Musterstadt')");
        
        // --- 4. Datenbankabfragen
        ResultSet rs = sm.executeQuery("SELECT * FROM Customer");  
        while(rs.next())
        	System.out.printf( "%s, %s %s%n", rs.getString(1),
                                rs.getString(2), rs.getString(3));

        // --- 5. Schlieen der Datenbank
        rs.close();
        sm.close();
        con.close(); 
  	}
}


