
public class Zufall 
{
	// Auswahl von m<=n-1 Elementen aus der Menge {0,...,n-1}
	public static int[] randperm(int n, int m)
	{
		int perm[] = new int[n];
		for(int i=0; i<n; i++)
			perm[i] = i;

		int permutation[] = new int[m];
		for(int i=0; i<m; i++)  
		{
			// Zufallszahl zwischen i und n-1
		    int r = i + (int) (Math.random() * (n-i));

		    // Tausche Elemente am Index i und r
		    int t = perm[r];
		    perm[r] = perm[i];
		    perm[i] = t;				
		     
		    permutation[i] = t;				
		}
		return permutation;
	}
	
	// Ausgabe eines ganzzahligen Zufallswertes im Intervall [a, b]
	public static int random(int a, int b)
	{
		return (int) (a + (b+1-a) * Math.random());
	}
	
	// ----------------------------------------------------
	public static void main (String args[])
	{
		LinAlgebra.ausgabe(randperm(10, 10));
		System.out.println(random(1, 4));
	}
}
