import java.util.BitSet;

public class TestRucksack
{
	public static void main (String args[])
	{
	    // ----------------- Eingabe -----------------
	    //---1. Anzahl der Gegenstnde
		int n = 200;
		
		//---2. Gewichtsobergrenze
		double G = 4*n;
				
		// -------------------------------------------
		// --- 1. Bestimmung der Eingabegroessen
		double gewicht[] = new double[n];
		double gewinn[]  = new double[n];
		for(int i=0; i<n; i++)
		{
			gewicht[i] = 20*Math.random();
			gewinn[i]  = 10*Math.random();
		}
	    		
	    // --- 2. Optimierung des Rucksacks
		Rucksackproblem algo = new Rucksackproblem(gewinn, gewicht, G);
		Rucksack lsg         = (Rucksack) algo.optimiere();
		BitSet rucksack      = lsg.getRucksack();
		
		// --- 3. Ausgabe der Rucksack
		for(int i=0; i<n; i++)
			if (rucksack.get(i))
				System.out.printf(" %d", i);
		System.out.printf(" mit Wert = %1.4f.", -algo.berechneZielfunktion(lsg));
	}
}
