
public class EA_Automat 
{
	private int z0;
	private int G[][];
	private String H[][];

	public EA_Automat(int z_0, int G[][], String H[][])
	{
		this.z0 = z0;
		this.G  = G;
		this.H  = H;
	}
	public int getAnzahlZustaende()
	{
		return G.length;
	}
	public int getAnzahlAlphabet()
	{
		return G[0].length;
	}
	public int[][] getUebergangsfunktion()
	{
		return G;
	}
	public String[][] getAusgabefunktion()
	{
		return H;
	}
	public int getAnfangszustand()
	{
		return z0;
	}
	
	// --- Lsung des Wortproblems --- 
	public String wortproblem(int v[])
	{
		String w = "";
		int z = z0;
		for (int i=0; i<v.length; i++)
		{
			w = w + H[z][v[i]];
			z = G[z][v[i]];
		}
		return w;
	}
}
