import java.awt.Color;

public class Schwellwert implements ISegmentierung
{
	private int unten;
	private int oben;
	
	public Schwellwert(int u, int o)
	{
		unten = u;
		oben  = o;
	}

	public Color schwelle(int farbe)
	{
		if (farbe >= unten && farbe <= oben)
			return new Color(255, 255, 255);
		else
			return new Color(0, 0, 0);		
	}

	public void segmentiere(BildSegmentierung bild) 
	{
		int breite = bild.getBreite()/2;
		int hoehe  = bild.getHoehe();
		for (int x = breite+1; x < 2*breite; x++)  
			for (int y = 0; y < hoehe; y++) 
				bild.set(x, y, schwelle(bild.get(x-breite, y).getRed()));		
	}
}
