class Haus implements IFlaeche
{
	private double laenge;
	private double breite;
	
	public Haus(double laenge, double breite)
	{
		this.laenge = laenge;
		this.breite = breite;
	}
	
	public double getLaenge()
	{
		return this.laenge;
	}
	public double getBreite()
	{
		return this.breite;
	}
}

class Tisch implements IFlaeche
{
	public double getLaenge()
	{
		return 2.00;
	}
	public double getBreite()
	{
		return 1.50;
	}
}

public class Flaeche
{
	public static double getGesamtFlaeche(IFlaeche obj[])
	{
		 double summe = 0.0;
		 for(IFlaeche a : obj)
			 summe = summe + a.getLaenge() * a.getBreite();
		 return summe;
	}

	public static void main(String[] args)
	{
		IFlaeche obj[] = new IFlaeche[3];
		obj[0] = new Haus(15.04, 10.08);
		obj[1] = new Tisch();
		obj[2] = new Haus(20.13, 13.87); 
		
		System.out.printf("Flche aller Objekte = %1.2f FE.", getGesamtFlaeche(obj));
	}
}



