class Lager1
{
	private int anzahl = 0;	
	public void aufstocken(int n)
	{
		anzahl = anzahl + n;
		System.out.println("Das Lager 1 wird um " + anzahl + " Stck aufgestockt.");
	}
	public void entnehmen(int n)
	{
		anzahl = anzahl - n;
		System.out.println("Dem Lager 1 wird um " + anzahl + " Stck entnommen.");
	}
}

class Lager2
{
	private int anzahl = 0;
	public void aufstocken(int n)
	{
		anzahl = anzahl + n;
		System.out.println("Das Lager 2 wird um " + anzahl + " Stck aufgestockt.");
	}
	public void entnehmen(int n)
	{
		anzahl = anzahl - n;
		System.out.println("Dem Lager 2 wird um " + anzahl + " Stck entnommen.");
	}
}
class Fassade
{
	private Lager1 lager1;
	private Lager2 lager2;
	
	public Fassade()
	{
		lager1 = new Lager1();
		lager2 = new Lager2();
	}
	public void aufstocken(int anzahl)
	{
		System.out.println("Der Bestand aller Lager wird aufgestockt:");
		lager1.aufstocken(anzahl);
		lager2.aufstocken(anzahl);
	}
	public void entnehmen(int anzahl)
	{
		System.out.println("Zur Produktion werden allen Lager Teile entnommen:");
		lager1.entnehmen(anzahl);
		lager2.entnehmen(anzahl);
	}
}
public class TestFassade 
{
	public static void main (String[] args)
	{
		Fassade fassade = new Fassade();
		fassade.aufstocken(20);
		fassade.entnehmen(10);
		fassade.aufstocken(5);
	}
}


