
class Singleton
{
	private static Singleton instance = new Singleton();
	
	private Singleton()
	{
		System.out.println("Singleton Objekt erzeugt.");
	}
	public static Singleton getInstance()
	{
		System.out.println("Methode getInstance() aufgerufen.");
		return instance;
	}
	public void methode()
	{
		System.out.println("Funktionsmethode aufgerufen.");
	}
}


public class TestSingleton 
{
	public static void main (String[] args)
	{
		Singleton sing = Singleton.getInstance();
		sing.methode();
		sing.methode();
	}
}
