import java.sql.*;

public class SQL_DB2
{
	public static void main( String[] args ) throws Exception
	{
	    // --- 1. Laden des Treiber der HSQLDB-Datenbank
		Class.forName("org.hsqldb.jdbcDriver");
		
		// --- 2. ffnen einer Verbindung zur Datenbank mit Namen = hsqldb-2.3.3
        Connection con = DriverManager.getConnection(
              "jdbc:hsqldb:file:hsqldb-2.3.3; shutdown=true", "sa", "" );
        
        // --- 3. Erzeugung eines Anweisungsobjekt
        Statement sm = (Statement) con.createStatement();

        // --- 4. Erzeugung der neuen Tabelle mit Namen personen
        sm.executeUpdate("DROP TABLE Personen"); // lschen falls schon existent
        sm.executeUpdate("CREATE TABLE Personen (" + "nummer INTEGER," + "name VARCHAR(100))"); 
        
        // --- 5. Daten in Tabelle einfgen
		String namen[] = {"Anton", "Sophia", "Egon", "Elsbeth"};
		for(int i=0; i<namen.length; i++)
        {
        	String s = "INSERT INTO Personen VALUES(" + i + ", '" +  namen[i] + "')";
        	sm.executeUpdate(s);
        }
        
        // --- 6. Datenbankabfragen
        ResultSet rs = sm.executeQuery("SELECT * FROM Personen");  
        while(rs.next())
        	System.out.printf( "%s, %s %n", rs.getString(1), rs.getString(2));

        // --- 7. Schlieen der Datenbank
        rs.close(); sm.close();  con.close(); 
  	}
}

