
/*
class Thread1 extends Thread
{
	public static int i = 0;
	public void run()
	{
		while(true)
			System.out.println(i++);
	}
	
	public static void main(String[] args)
	{
		Thread t1 = new Thread1();
		Thread t2 = new Thread1();
		t1.start();
		t2.start();
	}
}
*/

/*
class Thread1 extends Thread
{
	private String name;
	public Thread1(String name)
	{
		this.name = name;
	}
	public void run()
	{
		int i=0;
		while(true)
			System.out.println(name + " Nummer: " + (i++));
	}
}

public class TestThread
{
	public static void main(String[] args)
	{
		Thread1 t1 = new Thread1("Thread 1");
		Thread1 t2 = new Thread1("Thread 2");
		t1.start();
		t2.start();
	}
}
*/



class Thread1 implements Runnable
{
	public void run()
	{
		int i=0;
		while(true)
		{
			if (Thread.interrupted())
				break;
			System.out.println(i++);
		}
	}
}

public class TestThread
{
	public static void main(String[] args)
	{
		Thread1 t = new Thread1();
		Thread th = new Thread(t);
		th.start();
		try 
		{
			Thread.sleep(1000);
		} 
		catch (InterruptedException e) 
		{
			System.out.println("Interrupted Exception ausgelst.");
		}
		th.interrupt();
	}
}

 

/*
class Thread1 extends Thread
{
	public void run()
	{
		int i=0;
		while(true)
		{
			if (isInterrupted())
				break;
			System.out.println(i++);
		}
	}
}

public class TestThread
{
	public static void main(String[] args)
	{
		Thread1 t = new Thread1();
		t.start();
		try 
		{
			Thread.sleep(1000);
		} 
		catch (InterruptedException e) 
		{
			System.out.println("Interrupted Exception ausgelst.");
		}
		t.interrupt();
	}
}


*/