import java.io.File;
import javax.xml.parsers.*;
import org.w3c.dom.*; 

public class XML_Verarbeitung 
{    
	public static void main(String[] args) throws Exception
	{        
		// --- 1. Laden des XML-Files mittels DOM
		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
		DocumentBuilder builder = factory.newDocumentBuilder();
		Document document = builder.parse(new File("Daten.xml")); 

        // --- 2. Definition einer Liste aus Elemente  
        NodeList liste = document.getElementsByTagName("Produkt");
        
        // --- 3. Auslesen aller Elemente der definierten Liste 
        for(int i=0; i<liste.getLength(); i++) 
        {
        	Element element = (Element)liste.item(i);       
            String name     = element.getElementsByTagName("name").item(0).getTextContent().trim();
            System.out.println(name);  
        }
    }	
}


