import java.util.BitSet;
import java.util.Vector;

public class Rucksack implements Loesung
{
	private BitSet x;  // Rucksackelemente
	private int n;     // Anzahl der Elemente
	
	public Rucksack(BitSet x, int n)
	{
		this.x = x;
		this.n = n;
	}	
	public BitSet getRucksack()
	{
		return x;
	}
	public int getAnzahl()
	{
		return n;
	}
	
	// Bestimmung des aktuellen Gewichtes des Rucksacks
	public double getGewichtRucksack(double gewicht[])
	{
		double gew = 0;
		for(int i=0; i<gewicht.length; i++)
			if(x.get(i))
				gew = gew + gewicht[i];
		return gew;
	}
	
	// Bestimmung aller Objekte die nicht im Rucksack sind
	public Vector<Integer> getRucksackFrei()
	{
		Vector<Integer> v = new Vector<Integer>();
		for(int i=0; i<n; i++)
			if(!x.get(i))
				v.add(i);
		return v;
	}
}
