
public class Getrnkeautomat 
{
	public static void main(String[] args) 
	{
		// ---------------------- Eingabe ----------------------
		// --- 1. Anfangszustand
		int z0 = 0;

		// --- 2. bergangsfunktion
		int G[][] = { 
			{1, 2, 3, 0},       // Zustand 0
			{2, 2, 3, 1},       // Zustand 1
			{2, 2, 2, 0},       // Zustand 2
			{3, 3, 3, 0},       // Zustand 3
			};
		
		// --- 3. Ausgabefunktion
		String H[][] = {
			{"0", "0", "0", "0"},    // Zustand 1
			{"0", "50", "50", "0"},  // Zustand 1
			{"50", "1", "2", "G"},   // Zustand 2
			{"50", "1", "2", "1G"},  // Zustand 3
			};
		
		// --- 4. Wort
		String v[] = {"50", "1", "A"};
		
		// --------------------------------------------------------------	
		EA_Automat a = new EA_Automat(z0, G, H); 
		System.out.println("Ausgabe " + a.wortproblem(string2Int(v)));
	}
	
	// Gegeben: Codierung der bergangsfunktion
	public static int[] string2Int(String w[])
	{
		int w_idx[] = new int[w.length];
		for(int i=0; i<w.length; i++)
		{
			switch(w[i])
			{
				case "50": w_idx[i] = 0; break;
				case "1":  w_idx[i] = 1; break;
				case "2":  w_idx[i] = 2; break;
				case "A":  w_idx[i] = 3; break;
			}
		}
		return w_idx;
	}
}
