import java.util.Vector;

public abstract class Test_CYK 
{
	public static void main(String[] args) 
	{
		// ------------ Eingabe ------------
		// --- 1. Anzahl der Nichtterminalsymbole
		int m = 4;  // {S, A, B, C}
		
		// --- 2. Anzahl der Terminalsymbole
		int n = 2;  // {a, b}
		
		// --- 3. Ableitungsregeln
		AR1 r1[] = new AR1[3]; // Form A -> a
		r1[0] = new AR1(1, 0);  // A -> a
		r1[1] = new AR1(2, 1);  // B -> b
		r1[2] = new AR1(3, 0);  // C -> a
		
		AR2 r2[] = new AR2[5]; // Form A -> BC
		r2[0] = new AR2(0, 1, 2);  // S -> AB
		r2[1] = new AR2(0, 2, 3);  // S -> BC
		r2[2] = new AR2(1, 2, 1);  // A -> BA
		r2[3] = new AR2(2, 3, 3);  // B -> CC
		r2[4] = new AR2(3, 1, 2);  // C -> AB
		
		// --- 4. Eingabewort
		int w[] = {1, 0, 0, 1, 0};
		
		// ------------------------------------ 
		CYK algo = new CYK(m, n, r1, r2);
		System.out.printf(" Wort w in der Sprache?: %b" , algo.cyk_algo(w));
	}
}





/*
// Test: Berechnung Zeile 1
NT tabelle[] = new NT[w.length];
for(int i=0; i<w.length; i++)
{
	Vector v   = algo.getTerminal(r1, w[i]);
	tabelle[i] = new NT(v);
	CYK.ausgabe1(v);
}

// Test: Berechnung der Vereinigung
System.out.println();
for(int i=1; i<w.length; i++)
{
	Vector v1 = algo.vereinige(tabelle[i-1].getElement(), tabelle[i].getElement());
	CYK.ausgabe2(v1);
	Vector v2 = algo.bestimmeAbleitung(v1);
	System.out.printf(" -> ");
	CYK.ausgabe1(v2);
	System.out.println();
}
*/